Skip to content

Set Callback URLs

POST
/v1/merchant/callbacks

Configure callbacks URLs for a Bolt merchant division. This will store or override only the callback URLs that are specified in the request. Operations are fully transactional.

Authorization

X-API-Key
X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/merchant/callbacks" \  -H "Content-Type: application/json" \  -d '{    "callback_urls": [      {        "type": "oauth_redirect",        "url": "https://example.com/1"      },      {        "type": "oauth_logout",        "url": "https://example.com/2"      },      {        "type": "get_account",        "url": "https://example.com/3"      }    ],    "division_id": "3X9aPQ67-YrB"  }'
Empty